package com.ruoyi.syzy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BusiWishUniversitiesTopMapper;
import com.ruoyi.syzy.domain.BusiWishUniversitiesTop;
import com.ruoyi.syzy.service.IBusiWishUniversitiesTopService;

/**
 * 热点院校Service业务层处理
 * 
 * @author mingxue
 * @date 2021-09-22
 */
@Service
public class BusiWishUniversitiesTopServiceImpl implements IBusiWishUniversitiesTopService 
{
    @Autowired
    private BusiWishUniversitiesTopMapper busiWishUniversitiesTopMapper;

    /**
     * 查询热点院校
     * 
     * @param id 热点院校ID
     * @return 热点院校
     */
    @Override
    public BusiWishUniversitiesTop selectBusiWishUniversitiesTopById(Long id)
    {
        return busiWishUniversitiesTopMapper.selectBusiWishUniversitiesTopById(id);
    }

    /**
     * 查询热点院校列表
     * 
     * @param busiWishUniversitiesTop 热点院校
     * @return 热点院校
     */
    @Override
    public List<BusiWishUniversitiesTop> selectBusiWishUniversitiesTopList(BusiWishUniversitiesTop busiWishUniversitiesTop)
    {
        return busiWishUniversitiesTopMapper.selectBusiWishUniversitiesTopList(busiWishUniversitiesTop);
    }

    /**
     * 新增热点院校
     * 
     * @param busiWishUniversitiesTop 热点院校
     * @return 结果
     */
    @Override
    public int insertBusiWishUniversitiesTop(BusiWishUniversitiesTop busiWishUniversitiesTop)
    {
        return busiWishUniversitiesTopMapper.insertBusiWishUniversitiesTop(busiWishUniversitiesTop);
    }

    /**
     * 修改热点院校
     * 
     * @param busiWishUniversitiesTop 热点院校
     * @return 结果
     */
    @Override
    public int updateBusiWishUniversitiesTop(BusiWishUniversitiesTop busiWishUniversitiesTop)
    {
        return busiWishUniversitiesTopMapper.updateBusiWishUniversitiesTop(busiWishUniversitiesTop);
    }

    /**
     * 批量删除热点院校
     * 
     * @param ids 需要删除的热点院校ID
     * @return 结果
     */
    @Override
    public int deleteBusiWishUniversitiesTopByIds(Long[] ids)
    {
        return busiWishUniversitiesTopMapper.deleteBusiWishUniversitiesTopByIds(ids);
    }

    /**
     * 删除热点院校信息
     * 
     * @param id 热点院校ID
     * @return 结果
     */
    @Override
    public int deleteBusiWishUniversitiesTopById(Long id)
    {
        return busiWishUniversitiesTopMapper.deleteBusiWishUniversitiesTopById(id);
    }
}
